@charset "utf-8";

@keyframes gradIn {
	0% {
		left: -100%;
		opacity: 1;
	}
	99% {
		left: 0;
		opacity: 1;
	}
	100% {
		left: 0;
		opacity: 0;
	}
}
@keyframes whIn {
	0% {
		left: -100%;
	}
	100% {
		left: 100%;
	}
}

@keyframes txtGrad {
	0% {
		color: transparent;
	}
	100% {
		color: inherit;
		background: linear-gradient(to right, var(--grad-color));
		-webkit-background-clip: text;
		-webkit-text-fill-color: transparent;
	}
}

@keyframes fadeUp {
	0% {
		opacity: 0;
		transform: translateY(50px);
	}
	100% {
		opacity: 1;
		transform: translateY(0);
	}
}

@keyframes fadeColor {
	0% {
		background-color: var(--primary-color);
	}
	100% {
		background-color: transparent;
	}
}

@keyframes rotate {
	0% {
		transform: rotateY(0);
	}
	50% {
		transform: rotateY(180deg);
	}
	100% {
		transform: rotateY(0);
	}
}

@keyframes hint {
	0% {
		width: 100%;
		height: 100%;
	}
	50% {
		width: calc(100% + 10px);
		height: calc(100% + 10px);
	}
	100% {
		width: 100%;
		height: 100%;
	}
}
